Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAPLL

    java.lang.Object
      org.netlib.lapack.DLAPLL

    public class DLAPLL

extends java.lang.Object

    DLAPLL is a simplified interface to the JLAPACK routine dlapll.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  Given two column vectors X and Y, let
     *
     *                       A = ( X Y ).
     *
     *  The subroutine first computes the QR factorization of A = Q*R,
     *  and then computes the SVD of the 2-by-2 upper triangular matrix R.
     *  The smaller singular value of R is returned in SSMIN, which is used
     *  as the measurement of the linear dependency of the vectors X and Y.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The length of the vectors X and Y.
     *
     *  X       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCX)
     *          On entry, X contains the N-vector X.
     *          On exit, X is overwritten.
     *
     *  INCX    (input) INTEGER
     *          The increment between successive elements of X. INCX > 0.
     *
     *  Y       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCY)
     *          On entry, Y contains the N-vector Y.
     *          On exit, Y is overwritten.
     *
     *  INCY    (input) INTEGER
     *          The increment between successive elements of Y. INCY > 0.
     *
     *  SSMIN   (output) DOUBLE PRECISION
     *          The smallest singular value of the N-by-2 matrix A = ( X Y ).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAPLL()`

Method Summary
`static void` | `DLAPLL(int n, double[] x, int incx, double[] y, int incy, doubleW ssmin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAPLL

    public DLAPLL()

Method Detail

### DLAPLL

    public static void DLAPLL(int n,
                              double[] x,
                              int incx,
                              double[] y,
                              int incy,
                              doubleW ssmin)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD